# Class CIM_EndpointInArea
extends CIM_Component

This relation connects an OSPF endpoint to an area.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_EndpointInArea

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | This relation connects an OSPF endpoint to an area.
UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_EndpointInArea | CIM_OSPFArea
PartComponent | CIM_EndpointInArea | CIM_OSPFProtocolEndpointBase

## Class Methods